ByCloud Docs
GuidesCLIAPISDK
post/v1/iam/service-accounts/{service_account_id}/policies

Attach policy to service account

Attach a policy to a service account

Path Parameters

service_account_id

string<uuid>required

path

Service Account ID

Example: "550e8400-e29b-41d4-a716-446655440000"

Request Body

required

Content-Type: application/json

policy_id

string<uuid>required

Responses

204

Request successful, no content returned

400

Invalid request parameters

Content-Type: application/json

error

objectrequired
401

Authentication required or token invalid

Content-Type: application/json

error

objectrequired
403

Insufficient permissions

Content-Type: application/json

error

objectrequired
404

Resource not found

Content-Type: application/json

error

objectrequired
409

Policy is already attached

Content-Type: application/json

error

objectrequired
500

Internal server error

Content-Type: application/json

error

objectrequired
curl -X POST "https://api.spo1.mycloud.com/v1/iam/service-accounts/550e8400-e29b-41d4-a716-446655440000/policies" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"policy_id": "550e8400-e29b-41d4-a716-446655440000"
}'

Response

Request successful, no content returned

No response body